function [Sij,Sji,Sij_t,Sji_t] = nbtp_Sij(Connection_Data,Tct_Data,Ua)
%-----------------------------------------------------------------------
% Calculation of all power flows
% Input: 
%              Connection_Data = matrix with line parameters (Syntax s. Netzdatei)
%              Tct_Data = matrix with transformer parameters (Syntax s. Netzdatei)
%              Ua = complexe vector of a precalculated power flow
%                 
% Output:  
%              Sij,Sji = complexe power flow vectorn for all lines
%              Sij_t,Sji_t = complexe power flow vectorn for all transformers  
%
% Tip:
%              Connection_Data = [Kn_i    Kn_j     ]    
%              -> Use the same i and j for Sij and Sji regarding Connection_Data
%------------------------------------------------------------------------

Sij   = [0; 0; 0; 0; 0];
Sji   = [0; 0; 0; 0; 0];
 
Sij_t = [0; 0];
Sji_t = [0; 0];


