function [Y]=nbtp_Y(Connection_Data,Tct_Data,Point_Data,k)

% input: Connection_Data,Tct_Data,Point_Data,k
% output: Y (nodal admittance matrix)



% _________________________________________________________________________
% Calculate the nodal admittance matrix

% Initialisation
Yl   = sparse(zeros(k,k));
Yp   = sparse(zeros(k,k));
Yt   = sparse(zeros(k,k));
Y    = sparse(zeros(k,k));


% Nodal admittance matrix for Connection_Data elements

Yl=sparse([Connection_Data(:,1);Connection_Data(:,2)],[Connection_Data(:,2);Connection_Data(:,1)],[-1./(Connection_Data(:,3)+j.*Connection_Data(:,4));-1./(Connection_Data(:,3)+j.*Connection_Data(:,4))],k,k);
help1=spdiags(-sum(Yl,2),0,k,k);
help2=sparse([Connection_Data(:,1);Connection_Data(:,2)],[Connection_Data(:,1);Connection_Data(:,2)],[j.*0.5.*Connection_Data(:,5);j.*0.5.*Connection_Data(:,5)],k,k);
Ydiag=help1+help2;

Yl=Yl+Ydiag;

% Nodal admittance matrix for Tct_Data elements

if ~isempty(Tct_Data)
   Yt=sparse([Tct_Data(:,1);Tct_Data(:,2)],[Tct_Data(:,2);Tct_Data(:,1)],[-1./(Tct_Data(:,3)+j.*Tct_Data(:,4));-1./(Tct_Data(:,3)+j.*Tct_Data(:,4))],k,k);   
   Ydiag=spdiags(-sum(Yt,2),0,k,k);
   Yt=Yt+Ydiag;
end

% Nodal admittance matrix for Point_Data elements

if ~isempty(Point_Data)
   Yp=sparse(Point_Data(:,1),Point_Data(:,1),[Point_Data(:,2)+j.*Point_Data(:,3)],k,k);
end

% Total nodal admittance matrix

Y=Yl+Yt+Yp;
