% Script for result vector

U_betrag=abs(Ua);
U_winkel=(180/pi).*angle(Ua);
Pa=Sb.*real(Sa);
Qa=Sb.*imag(Sa);

% Calculation of Pg und Qg with complex nodal powers
Pg_lf=Sb.*(Pl+real(Sa));
Qg_lf=Sb.*(Ql+imag(Sa));
Pl_lf=Sb.*Pl;
Ql_lf=Sb.*Ql;

% Power flow calculation
[Sij,Sji,Sij_t,Sji_t] = nbtp_Sij(Connection_Data,Tct_Data,Ua);

Sij_betrag=abs(Sij);
Sij_winkel=(180/pi).*angle(Sij);
Sji_betrag=abs(Sji);
Sji_winkel=(180/pi).*angle(Sji);

Sij_ueberlast=Sij_betrag./Sijmax_c;
Sji_ueberlast=Sji_betrag./Sijmax_c;

% Case of overload: 0= no danger 1=danger 2=overload
ueberlast=zeros(size(Sij));
ueberlast(find(Sij_ueberlast>0.95),1)=1;
ueberlast(find(Sji_ueberlast>0.95),1)=1;
ueberlast(find(Sij_ueberlast>1),1)=2;
ueberlast(find(Sji_ueberlast>1),1)=2;

% transformer overload
Sij_betrag_t=abs(Sij_t);
Sij_winkel_t=(180/pi).*angle(Sij_t);
Sji_betrag_t=abs(Sji_t);
Sji_winkel_t=(180/pi).*angle(Sji_t);
Sij_ueberlast_t=Sij_betrag_t./Sijmax_t;
Sji_ueberlast_t=Sji_betrag_t./Sijmax_t;

% Case of overload: 0= no danger 1=danger 2=overload
ueberlast_t=zeros(size(Sij_t));
ueberlast_t(find(Sij_ueberlast_t>0.95),1)=1;
ueberlast_t(find(Sji_ueberlast_t>0.95),1)=1;
ueberlast_t(find(Sij_ueberlast_t>1),1)=2;
ueberlast_t(find(Sji_ueberlast_t>1),1)=2;

% Voltage limits
sp_verletzt=zeros(size(U_betrag));
sp_verletzt(find(U_betrag<Umin),1)=1;
sp_verletzt(find(U_betrag>Umax),1)=2;


%---------------------------------------------------------------------------------------------
  %Altes_Format=get(0,'Format');
%c
  disp(' ');
  disp('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
  disp('!!!!Attention: The output is in a compact notation!!!!!');
  disp('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
  disp(' ');
  disp('----------------------------------Output-------------------------------------------');
  disp('node no. [from]  node no. [to] Sij Sji ');
  disp('-------------------------------------------------------------------------------------');
  disp([Connection_Data(:,1) Connection_Data(:,2) Sij Sji]);
  disp('---------------------------------------------------------------------------------------------------');
  disp('node no. [from]  node no. [to] Sij_t Sji_t ');
  disp('-------------------------------------------------------------------------------------');
  disp([Tct_Data(:,1) Tct_Data(:,2) Sij_t Sji_t]);
  disp('---------------------------------------------------------------------------------------------------');
  disp('node no.:     node type (0=PQ; 2=PU; 3=REF)   |Ui| <Ui  Pi  Qi');
  disp('---------------------------------------------------------------------------------------------------');
  disp([Bus_Data(:,1:2) U_betrag U_winkel Pa Qa]);
%  format(Altes_Format);

