%-----------------------------------------------------------------------
% Network Parameter
%-----------------------------------------------------------------------
% Remarks:  Aus Buch E-29/2 S.284 base Sb=100 MVA,  Werte verndert
%           Die Transformatoren eingebaut Elm liegt eine Spannungsstufe niedriger  
%           J. Brosda 12/2002
% 
%-----------------------------------------------------------------------

%---------------General Data-------------------------
grid='';
author='';
remarks='';

%---------------Title_Data---------------------------
Title_Data=[
   	-1;   % year
   	-1;   % season
   	-1;   % day
   100;	  % MVA base   
    ];
     
%-----------------Bus_Data-----------------------------    
% Kn_nr Kn_type  U U_base Pg Qg Pl Ql Pgmin Pgmax Qgmin Qgmax Umin Umax
    
Bus_Data=[
 1	2	1.035	138	30	10       0	 5	0	Inf	-50	80  0.90 1.1   
 2	3	1.035	138	50  30		20	10	0	Inf	-50	80  0.90 1.1 
 3	0	0		138	0	0       40	10	0	Inf	0	0   0.90 1.1    
 4	0	0		138	0	0		30	15	0	Inf	0	0   0.90 1.1   
 5	2	1.0		138	40	5	    60	10	0	Inf	-50 80  0.90 1.1    
];

%---------------Connection_Data-----------------
%Kn_i	Kn_j	R	X	B	Length Sijmax_c 
Connection_Data=[
 1  2	0.02	0.06	   0	-1		50	
 1  3	0.08	0.24       0	-1		50	
 2  3	0.06	0.18	   0	-1		50	
 2  4	0.06	0.18	   0	-1		50	
 3  4	0.01	0.03	   0	-1		50	 
];

%--------------Point_Data---------------
% Kn_nr. G B Ip Ipyear
Point_Data=[
];

%--------------Tct_Data-----------------
% Kn_i Kn_j R X ue angle_ue Sijmax_t 
Tct_Data=[
  2	5	0.04	0.12    1.015	0	80	
  4	5	0.08	0.24	1.015	0	80	
];


           
%----------Automatische Vektorgenerierung----------------

%Title_Data
Sb=Title_Data(4,1);
div_Sb=1/Sb;

% Bus_Data
k=size(Bus_Data,1);
Kn_type=Bus_Data(:,2);
REF=find(Bus_Data(:,2)==3*ones(k,1));
PU=find(Bus_Data(:,2)==2*ones(k,1));
PQ=find(Bus_Data(:,2)==0*ones(k,1));

Ustart=Bus_Data(:,3)+(Bus_Data(:,3)==zeros(k,1)); % denn Startvektor Ulasten=1.0 pu falls keiner vorgegeben
Pg=Bus_Data(:,5)*div_Sb;
Qg=Bus_Data(:,6)*div_Sb;

Pl=Bus_Data(:,7)*div_Sb;
Ql=Bus_Data(:,8)*div_Sb;

Pgmin=Bus_Data(:,9)*div_Sb;
Pgmax=Bus_Data(:,10)*div_Sb;

Qgmin=Bus_Data(:,11)*div_Sb;
Qgmax=Bus_Data(:,12)*div_Sb;

Umin=Bus_Data(:,13);
Umax=Bus_Data(:,14);

% Connection_Data
k_c=size(Connection_Data,1);
Sijmax_c=Connection_Data(:,7)./Sb;

% Tct_Data
k_t=size(Tct_Data,1);
Sijmax_t=Tct_Data(:,7)./Sb;


