% Start the program
%----------------------------------------------------------
disp('Welcome to the power grid calculation toolbox')
disp(' ')
disp(' ')
%----------------------------------------------------------
% Clear workspace
%----------------------------------------------------------
clear all;
close all;



%----------------------------------------------------------
% Information
%----------------------------------------------------------

% workdirectory
main_string= pwd;

cd(main_string);

addpath(main_string);
addpath(strcat(main_string,'\Systemparameter'));
addpath(strcat(main_string,'\Netzparameter'));
addpath(strcat(main_string,'\Lastfluss'));


%----------------------------------------------------------
% Debugging 
%dbstop in nbtp_lfnr at 1


% ----------------------------------------------------------
% System parameter data
% ----------------------------------------------------------

nbtp_systemparam;


% chose grid

netzname='Praktikum_Netz';

disp(['Das Netz ', netzname,' wird simuliert'])
b=input('J/N [J]: ','s');

if ~isempty(b) & (b=='N' | b=='n')
    cd(strcat(main_string,'\Netzparameter'));
    dir *.m;            
    netzname = input('Neuer Netzname: ', 's');
    cd(main_string);
end
% sim grid            
eval (netzname);


%--------------------------------------------------------
% power flow
%--------------------------------------------------------
disp(' ');
disp('calculate power flow');
disp(' '); 

% ----------------------------------------------------------
% calculate nodal admittance matrix
% ----------------------------------------------------------


Y=nbtp_Y(Connection_Data,Tct_Data,Point_Data,k);



% ----------------------------------------------------------
% Calculate N.-R. power flow
% ----------------------------------------------------------

% Additional variables for power flow 

Sgsoll=Pg+j*Qg;
Slsoll=Pl+j*Ql;


Lastfluss_type = input('Power flow type 0=total(full PFC), 1=PQ only, 2=PQ and PU:\n');


tic;
switch Lastfluss_type
    case 0
        disp('Total Power flow!')
        [Sa,Ua]=nbtp_lfnr(Sgsoll,Slsoll,Ustart,Y,REF,PU,PQ,k,Qgmin,Qgmax);
    case 1
        disp('Power flow with only PQ-nodes!')        
        [Sa,Ua]=nbtp_lfnr_nur_PQ(Sgsoll,Slsoll,Ustart,Y,REF,k);
    case 2
        disp('Power flow with PQ and PU-nodes!')
        [Sa,Ua]=nbtp_lfnr_nur_PQ_PU(Sgsoll,Slsoll,Ustart,Y,REF,PU,PQ,k);
    case 3
        disp('Power flow with PQ und PU-nodes and ref-node-schedule!')
        % noch zu implementieren
    otherwise
        disp('Wrong input power flow type (Lastfluss_type)!')
end

time_lf=toc;

if Sa==-1 & Ua==-1
    disp('The power flow does not converge!');
else
    disp(['time for power flow: ' num2str(time_lf)]);

    % ----------------------------------------------------------
    % Call power flow output
    % ----------------------------------------------------------
    nbtp_ausgabe;
end

%--------------------------------------------------------
% Delete workdirectories
%--------------------------------------------------------
rmpath(main_string);
rmpath(strcat(main_string,'\Systemparameter'));
rmpath(strcat(main_string,'\Netzparameter'));
rmpath(strcat(main_string,'\Lastfluss'));

%--------------------------------------------------------
% Delete additional variables
%--------------------------------------------------------
clear main_string a b;