function varargout = interface(varargin)
% INTERFACE M-file for interface.fig
%      INTERFACE, by itself, creates a new INTERFACE or raises the existing
%      singleton*.
%
%      H = INTERFACE returns the handle to a new INTERFACE or the handle to
%      the existing singleton*.
%
%      INTERFACE('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in INTERFACE.M with the given input arguments.
%
%      INTERFACE('Property','Value',...) creates a new INTERFACE or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before interface_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to interface_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help interface

% Last Modified by GUIDE v2.5 25-Oct-2005 15:17:03

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @interface_OpeningFcn, ...
                   'gui_OutputFcn',  @interface_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   []);
if nargin && ischar(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before interface is made visible.
function interface_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to interface (see VARARGIN)

% Choose default command line output for interface
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes interface wait for user response (see UIRESUME)
% uiwait(handles.figure1);
ha = axes('units','normalized', ...
         'position',[0 0 1 1]);

% Move the background axes behind everything else
uistack(ha,'bottom');

% Load in a background image and display it using the correct colors
% The image below is in the Image Processing Toolbox.  If you do not have access to this toolbox, 
% you can use another image file instead.
I=imread('NetView.jpg');
hi = imagesc(I);
%colormap gray;
Reset_Callback(hObject, eventdata, handles)
% Turn the handlevisiblity off so that we don't inadvertently plot into the axes again
% Also, make the axes invisible
set(ha,'handlevisibility','off', ...
         'visible','off');
     


% --- Outputs from this function are returned to the command line.
function varargout = interface_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;



% --- Executes on button press in 3Flow.
function Start_Callback(hObject, eventdata, handles)
delete Ergebnisse\NetResults_Student.mat;   

dbstop if error
clc;
%%%%%%%%%%%%%%%%%%%%%
% Startet das Programmpaket
%----------------------------------------------------------
disp('Willkommen zur Netzberechnungstoolbox in der Praktikumsversion (NBTP) 2.0');

% ----------------------------------------------------------
% Aufruf der Systemparameterdatei 
% ----------------------------------------------------------
main_string= pwd;
cd(main_string);
addpath(main_string);
addpath(strcat(main_string,'\Systemparameter'));
addpath(strcat(main_string,'\Netzparameter'));
addpath(strcat(main_string,'\Lastfluss'));
nbtp_systemparam;
Konvergenzschranke = str2double(get(handles.epsilon,'String'));       
iteration_max = str2double(get(handles.IterMax,'String'));

Netz=1;
% Festlegen des Netzes
if(get(handles.IEEE_Netz, 'Value')==get(hObject,'Max'))
netzname='ieee_RTS_3_Zonen_Testnetwork';
Command2all(hObject, eventdata, handles,'String','---')
Command2all(hObject, eventdata, handles,'Enable','off')


uiwait(msgbox({'Die Ausgabe der Ergebnisse erfolgt nur im Workspace.'},'Information zur Ausgabe','warn','modal'))
else
Command2all(hObject, eventdata, handles,'String','')
Command2all(hObject, eventdata, handles,'Enable','inactive')
netzname='Praktikum_Netz';
Netz=0;
end


disp(['Das Netz ', netzname,' wird simuliert'])
      

if (get(handles.NurSij,'Value') == get(hObject,'Max'))
  Lastfluss_type=0;
  disp('Berechnung der Leistungsflsse');
  writeSoll(hObject, eventdata, handles,Lastfluss_type,Netz);
  Nur_Sij(hObject, eventdata, handles,Lastfluss_type);  
else
    
    
if (get(handles.NurPQ,'Value') == get(hObject,'Max'))
  Lastfluss_type=1;
  disp('Lastfluss der nur PQ-Knoten betrachtet!'); 
elseif (get(handles.PUPQ,'Value') == get(hObject,'Max'))
  Lastfluss_type=2;
  disp('Lastfluss der PQ und PU-Knoten betrachtet!');
elseif (get(handles.VollLFB,'Value') == get(hObject,'Max'))
  Lastfluss_type=3;
  disp('Vollstndiger Lastfluss!');
end

writeSoll(hObject, eventdata, handles,Lastfluss_type,Netz);

eval (netzname);
%--------------------------------------------------------
% Aufruf des Lastflusses 
%--------------------------------------------------------

disp('Aufruf des Lastflusses');

% ----------------------------------------------------------
% Aufruf zur Berechnung der Knotenadmitanzmatrix
% ----------------------------------------------------------

Y=nbtp_Y(Connection_Data,Tct_Data,Point_Data,k);

% ----------------------------------------------------------
% Aufruf des N.-R. Lastflusses
% ----------------------------------------------------------

% Hilfsvariablen die zur Zeit noch bentigt werden um den Lastfluss zu berechnen

Sgsoll=Pg+j*Qg;
Slsoll=Pl+j*Ql;
Sa=-1;Ua=-1;itersteps=-1;
tic;
switch Lastfluss_type
     
    case 1       
       [Sa,Ua,itersteps]=nbtp_lfnr(Sgsoll,Slsoll,Ustart,Y,REF,k,Konvergenzschranke,iteration_max);      
    case 2
        [Sa,Ua,itersteps]=nbtp_lfnr(Sgsoll,Slsoll,Ustart,Y,REF,k,PU,PQ,Konvergenzschranke,iteration_max);
    case 3
        [Sa,Ua,itersteps]=nbtp_lfnr(Sgsoll,Slsoll,Ustart,Y,REF,k,PU,PQ,Qgmin,Qgmax,Konvergenzschranke,iteration_max); 
    case 4
        disp('Lastfluss der PQ und PU-Knoten betrachtet und eine Referenzknotenverteilung duchfhrt!');        
        % noch zu implementieren
    otherwise
         disp('Falsche Eingabe Lastfluss_type!');
end


time_lf=toc;

if Sa==-1 & Ua==-1
    disp('Der Lastfluss konvergiert nicht!');
    set(handles.Zeit,'string',inf);
    set(handles.Konvergenz,'String','nein');
    set(handles.itersteps,'String',iteration_max)
    
else
    
    set(handles.Zeit,'String',time_lf);
    set(handles.Konvergenz,'String','ja')
    set(handles.itersteps,'String',itersteps)
    % ----------------------------------------------------------
    % Aufruf der Lastflussausgabe 
    % ----------------------------------------------------------
    nbtp_ausgabe; 
   
save Ergebnisse\NetResults_Student.mat;

if(Netz==1)    
    
    set(handles.PrintButton, 'Enable','off')
else
    writeIst(hObject, eventdata, handles,1);
    set(handles.PrintButton, 'Enable','on')
end



end %if Sa==-1 & Ua==-1

end

set(handles.ImEdit, 'Enable','on')
set(handles.ErrButton, 'Enable','on')

%--------------------------------------------------------
% Benutzte Verzeichnisse wieder loeschen
%--------------------------------------------------------
rmpath(main_string);
rmpath(strcat(main_string,'\Systemparameter'));
rmpath(strcat(main_string,'\Netzparameter'));
rmpath(strcat(main_string,'\Lastfluss'));

%--------------------------------------------------------
% Hilfvariablen des Steuertools wieder lschen
%--------------------------------------------------------
clear main_string a b;
%%%%%%%%%%%%%%%%%%%%



function Nur_Sij(hObject, eventdata, handles,Lastfluss_type)
load Ergebnisse\Praktikum_Netz_Erg1.mat; 
[Sij,Sji,Sij_t,Sji_t] = nbtp_Sij(Connection_Data,Tct_Data,Ua); 
save Ergebnisse\NetResults_Student.mat;
writeIst(hObject, eventdata, handles,Lastfluss_type);
%Altes_Format=get(0,'Format');
  format short g;
  disp(' ');
  disp('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
  disp('!!!!Attention: The output is in a compact notation!!!!!');
  disp('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
  disp(' ');
  disp('----------------------------------Output-------------------------------------------');
  disp('node no. [from]  node no. [to] Sij Sji ');
  disp('-------------------------------------------------------------------------------------');
  disp([Connection_Data(:,1) Connection_Data(:,2) Sij Sji]);
  disp('---------------------------------------------------------------------------------------------------');
  disp('node no. [from]  node no. [to] Sij_t Sji_t ');
  disp('-------------------------------------------------------------------------------------');
  disp([Tct_Data(:,1) Tct_Data(:,2) Sij_t Sji_t]);
  disp('---------------------------------------------------------------------------------------------------');



% --- Executes on button press in Reset.
function Reset_Callback(hObject, eventdata, handles)
% hObject    handle to Reset (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
 
Command2all(hObject, eventdata, handles,'String','')
Command2CElems(hObject, eventdata, handles,'Enable','on')
Command2all(hObject, eventdata, handles,'Enable','on')

set(handles.IEEE_Netz, 'Value',0)
set(handles.IEEE_Netz, 'Enable','off')
set(handles.PRNetz, 'Value',1)
set(handles.NurSij, 'Value',1)
set(handles.NurPQ, 'Value',0)
set(handles.PUPQ, 'Value',0)
set(handles.VollLFB, 'Value',0)
set(handles.epsilon, 'Value',0.0001)
set(handles.IterMax, 'Value',50)

set(handles.ImEdit, 'Enable','off')
set(handles.ErrButton, 'Enable','off')
set(handles.PrintButton, 'Enable','off')
set(handles.Konvergenz, 'Enable','off')
set(handles.Zeit, 'Enable','off')
set(handles.itersteps, 'Enable','off')
set(handles.epsilon, 'Enable','off')
set(handles.IterMax, 'Enable','off')

function P1_Callback(hObject, eventdata, handles)
% hObject    handle to P1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P1 as text
%        str2double(get(hObject,'String')) returns contents of P1 as a double


% --- Executes during object creation, after setting all properties.
function P1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q1_Callback(hObject, eventdata, handles)
% hObject    handle to Q1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q1 as text
%        str2double(get(hObject,'String')) returns contents of Q1 as a double


% --- Executes during object creation, after setting all properties.
function Q1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P1s_Callback(hObject, eventdata, handles)
% hObject    handle to P1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P1s as text
%        str2double(get(hObject,'String')) returns contents of P1s as a double


% --- Executes during object creation, after setting all properties.
function P1s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q1s_Callback(hObject, eventdata, handles)
% hObject    handle to Q1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q1s as text
%        str2double(get(hObject,'String')) returns contents of Q1s as a double


% --- Executes during object creation, after setting all properties.
function Q1s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U1_Callback(hObject, eventdata, handles)
% hObject    handle to U1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U1 as text
%        str2double(get(hObject,'String')) returns contents of U1 as a double


% --- Executes during object creation, after setting all properties.
function U1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A1_Callback(hObject, eventdata, handles)
% hObject    handle to A1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A1 as text
%        str2double(get(hObject,'String')) returns contents of A1 as a double


% --- Executes during object creation, after setting all properties.
function A1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U1s_Callback(hObject, eventdata, handles)
% hObject    handle to U1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U1s as text
%        str2double(get(hObject,'String')) returns contents of U1s as a double


% --- Executes during object creation, after setting all properties.
function U1s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A1s_Callback(hObject, eventdata, handles)
% hObject    handle to A1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A1s as text
%        str2double(get(hObject,'String')) returns contents of A1s as a double


% --- Executes during object creation, after setting all properties.
function A1s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A1s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P12_Callback(hObject, eventdata, handles)
% hObject    handle to P12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P12 as text
%        str2double(get(hObject,'String')) returns contents of P12 as a double


% --- Executes during object creation, after setting all properties.
function P12_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q12_Callback(hObject, eventdata, handles)
% hObject    handle to Q12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q12 as text
%        str2double(get(hObject,'String')) returns contents of Q12 as a double


% --- Executes during object creation, after setting all properties.
function Q12_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q12 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P12s_Callback(hObject, eventdata, handles)
% hObject    handle to P12s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P12s as text
%        str2double(get(hObject,'String')) returns contents of P12s as a double


% --- Executes during object creation, after setting all properties.
function P12s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P12s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P21_Callback(hObject, eventdata, handles)
% hObject    handle to P21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P21 as text
%        str2double(get(hObject,'String')) returns contents of P21 as a double


% --- Executes during object creation, after setting all properties.
function P21_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q21_Callback(hObject, eventdata, handles)
% hObject    handle to Q21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q21 as text
%        str2double(get(hObject,'String')) returns contents of Q21 as a double


% --- Executes during object creation, after setting all properties.
function Q21_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q21 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P21s_Callback(hObject, eventdata, handles)
% hObject    handle to P21s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P21s as text
%        str2double(get(hObject,'String')) returns contents of P21s as a double


% --- Executes during object creation, after setting all properties.
function P21s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P21s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q21s_Callback(hObject, eventdata, handles)
% hObject    handle to Q21s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q21s as text
%        str2double(get(hObject,'String')) returns contents of Q21s as a double


% --- Executes during object creation, after setting all properties.
function Q21s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q21s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U2_Callback(hObject, eventdata, handles)
% hObject    handle to U2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U2 as text
%        str2double(get(hObject,'String')) returns contents of U2 as a double


% --- Executes during object creation, after setting all properties.
function U2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A2_Callback(hObject, eventdata, handles)
% hObject    handle to A2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A2 as text
%        str2double(get(hObject,'String')) returns contents of A2 as a double


% --- Executes during object creation, after setting all properties.
function A2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U2s_Callback(hObject, eventdata, handles)
% hObject    handle to U2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U2s as text
%        str2double(get(hObject,'String')) returns contents of U2s as a double


% --- Executes during object creation, after setting all properties.
function U2s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A2s_Callback(hObject, eventdata, handles)
% hObject    handle to A2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A2s as text
%        str2double(get(hObject,'String')) returns contents of A2s as a double


% --- Executes during object creation, after setting all properties.
function A2s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q2_Callback(hObject, eventdata, handles)
% hObject    handle to Q2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q2 as text
%        str2double(get(hObject,'String')) returns contents of Q2 as a double


% --- Executes during object creation, after setting all properties.
function Q2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q2s_Callback(hObject, eventdata, handles)
% hObject    handle to Q2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q2s as text
%        str2double(get(hObject,'String')) returns contents of Q2s as a double


% --- Executes during object creation, after setting all properties.
function Q2s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P2_Callback(hObject, eventdata, handles)
% hObject    handle to P2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P2 as text
%        str2double(get(hObject,'String')) returns contents of P2 as a double


% --- Executes during object creation, after setting all properties.
function P2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P2s_Callback(hObject, eventdata, handles)
% hObject    handle to P2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P2s as text
%        str2double(get(hObject,'String')) returns contents of P2s as a double


% --- Executes during object creation, after setting all properties.
function P2s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P2s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q12s_Callback(hObject, eventdata, handles)
% hObject    handle to Q12s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q12s as text
%        str2double(get(hObject,'String')) returns contents of Q12s as a double


% --- Executes during object creation, after setting all properties.
function Q12s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q12s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P4_Callback(hObject, eventdata, handles)
% hObject    handle to P4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P4 as text
%        str2double(get(hObject,'String')) returns contents of P4 as a double


% --- Executes during object creation, after setting all properties.
function P4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q4_Callback(hObject, eventdata, handles)
% hObject    handle to Q4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q4 as text
%        str2double(get(hObject,'String')) returns contents of Q4 as a double


% --- Executes during object creation, after setting all properties.
function Q4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P4s_Callback(hObject, eventdata, handles)
% hObject    handle to P4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P4s as text
%        str2double(get(hObject,'String')) returns contents of P4s as a double


% --- Executes during object creation, after setting all properties.
function P4s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q4s_Callback(hObject, eventdata, handles)
% hObject    handle to Q4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q4s as text
%        str2double(get(hObject,'String')) returns contents of Q4s as a double


% --- Executes during object creation, after setting all properties.
function Q4s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U4_Callback(hObject, eventdata, handles)
% hObject    handle to U4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U4 as text
%        str2double(get(hObject,'String')) returns contents of U4 as a double


% --- Executes during object creation, after setting all properties.
function U4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A4_Callback(hObject, eventdata, handles)
% hObject    handle to A4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A4 as text
%        str2double(get(hObject,'String')) returns contents of A4 as a double


% --- Executes during object creation, after setting all properties.
function A4_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A4 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U4s_Callback(hObject, eventdata, handles)
% hObject    handle to U4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U4s as text
%        str2double(get(hObject,'String')) returns contents of U4s as a double


% --- Executes during object creation, after setting all properties.
function U4s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A4s_Callback(hObject, eventdata, handles)
% hObject    handle to A4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A4s as text
%        str2double(get(hObject,'String')) returns contents of A4s as a double


% --- Executes during object creation, after setting all properties.
function A4s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A4s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P45_Callback(hObject, eventdata, handles)
% hObject    handle to P45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P45 as text
%        str2double(get(hObject,'String')) returns contents of P45 as a double


% --- Executes during object creation, after setting all properties.
function P45_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q45_Callback(hObject, eventdata, handles)
% hObject    handle to Q45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q45 as text
%        str2double(get(hObject,'String')) returns contents of Q45 as a double


% --- Executes during object creation, after setting all properties.
function Q45_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P45s_Callback(hObject, eventdata, handles)
% hObject    handle to P45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P45s as text
%        str2double(get(hObject,'String')) returns contents of P45s as a double


% --- Executes during object creation, after setting all properties.
function P45s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q45s_Callback(hObject, eventdata, handles)
% hObject    handle to Q45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q45s as text
%        str2double(get(hObject,'String')) returns contents of Q45s as a double


% --- Executes during object creation, after setting all properties.
function Q45s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P54_Callback(hObject, eventdata, handles)
% hObject    handle to P54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P54 as text
%        str2double(get(hObject,'String')) returns contents of P54 as a double


% --- Executes during object creation, after setting all properties.
function P54_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P54s_Callback(hObject, eventdata, handles)
% hObject    handle to P54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P54s as text
%        str2double(get(hObject,'String')) returns contents of P54s as a double


% --- Executes during object creation, after setting all properties.
function P54s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q54_Callback(hObject, eventdata, handles)
% hObject    handle to Q54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q54 as text
%        str2double(get(hObject,'String')) returns contents of Q54 as a double


% --- Executes during object creation, after setting all properties.
function Q54_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q54s_Callback(hObject, eventdata, handles)
% hObject    handle to Q54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q54s as text
%        str2double(get(hObject,'String')) returns contents of Q54s as a double


% --- Executes during object creation, after setting all properties.
function Q54s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT45_Callback(hObject, eventdata, handles)
% hObject    handle to PT45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT45 as text
%        str2double(get(hObject,'String')) returns contents of PT45 as a double


% --- Executes during object creation, after setting all properties.
function PT45_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT45s_Callback(hObject, eventdata, handles)
% hObject    handle to PT45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT45s as text
%        str2double(get(hObject,'String')) returns contents of PT45s as a double


% --- Executes during object creation, after setting all properties.
function PT45s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT54_Callback(hObject, eventdata, handles)
% hObject    handle to PT54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT54 as text
%        str2double(get(hObject,'String')) returns contents of PT54 as a double


% --- Executes during object creation, after setting all properties.
function PT54_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT54s_Callback(hObject, eventdata, handles)
% hObject    handle to PT54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT54s as text
%        str2double(get(hObject,'String')) returns contents of PT54s as a double


% --- Executes during object creation, after setting all properties.
function PT54s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT54s_Callback(hObject, eventdata, handles)
% hObject    handle to QT54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT54s as text
%        str2double(get(hObject,'String')) returns contents of QT54s as a double


% --- Executes during object creation, after setting all properties.
function QT54s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT54s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT54_Callback(hObject, eventdata, handles)
% hObject    handle to QT54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT54 as text
%        str2double(get(hObject,'String')) returns contents of QT54 as a double


% --- Executes during object creation, after setting all properties.
function QT54_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT54 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT45s_Callback(hObject, eventdata, handles)
% hObject    handle to QT45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT45s as text
%        str2double(get(hObject,'String')) returns contents of QT45s as a double


% --- Executes during object creation, after setting all properties.
function QT45s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT45s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT45_Callback(hObject, eventdata, handles)
% hObject    handle to QT45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT45 as text
%        str2double(get(hObject,'String')) returns contents of QT45 as a double


% --- Executes during object creation, after setting all properties.
function QT45_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT45 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P5_Callback(hObject, eventdata, handles)
% hObject    handle to P5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P5 as text
%        str2double(get(hObject,'String')) returns contents of P5 as a double


% --- Executes during object creation, after setting all properties.
function P5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P5s_Callback(hObject, eventdata, handles)
% hObject    handle to P5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P5s as text
%        str2double(get(hObject,'String')) returns contents of P5s as a double


% --- Executes during object creation, after setting all properties.
function P5s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q5_Callback(hObject, eventdata, handles)
% hObject    handle to Q5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q5 as text
%        str2double(get(hObject,'String')) returns contents of Q5 as a double


% --- Executes during object creation, after setting all properties.
function Q5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q5s_Callback(hObject, eventdata, handles)
% hObject    handle to Q5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q5s as text
%        str2double(get(hObject,'String')) returns contents of Q5s as a double


% --- Executes during object creation, after setting all properties.
function Q5s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A5_Callback(hObject, eventdata, handles)
% hObject    handle to A5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A5 as text
%        str2double(get(hObject,'String')) returns contents of A5 as a double


% --- Executes during object creation, after setting all properties.
function A5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A5s_Callback(hObject, eventdata, handles)
% hObject    handle to A5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A5s as text
%        str2double(get(hObject,'String')) returns contents of A5s as a double


% --- Executes during object creation, after setting all properties.
function A5s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U5s_Callback(hObject, eventdata, handles)
% hObject    handle to U5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U5s as text
%        str2double(get(hObject,'String')) returns contents of U5s as a double


% --- Executes during object creation, after setting all properties.
function U5s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U5s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U5_Callback(hObject, eventdata, handles)
% hObject    handle to U5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U5 as text
%        str2double(get(hObject,'String')) returns contents of U5 as a double


% --- Executes during object creation, after setting all properties.
function U5_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U5 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Fehler_Callback(hObject, eventdata, handles)
% hObject    handle to Fehler (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Fehler as text
%        str2double(get(hObject,'String')) returns contents of Fehler as a double


% --- Executes during object creation, after setting all properties.
function Fehler_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Fehler (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Zeit_Callback(hObject, eventdata, handles)
% hObject    handle to Zeit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Zeit as text
%        str2double(get(hObject,'String')) returns contents of Zeit as a double


% --- Executes during object creation, after setting all properties.
function Zeit_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Zeit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Konvergenz_Callback(hObject, eventdata, handles)
% hObject    handle to Konvergenz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Konvergenz as text
%        str2double(get(hObject,'String')) returns contents of Konvergenz as a double


% --- Executes during object creation, after setting all properties.
function Konvergenz_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Konvergenz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P3_Callback(hObject, eventdata, handles)
% hObject    handle to P3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P3 as text
%        str2double(get(hObject,'String')) returns contents of P3 as a double


% --- Executes during object creation, after setting all properties.
function P3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q3_Callback(hObject, eventdata, handles)
% hObject    handle to Q3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q3 as text
%        str2double(get(hObject,'String')) returns contents of Q3 as a double


% --- Executes during object creation, after setting all properties.
function Q3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P3s_Callback(hObject, eventdata, handles)
% hObject    handle to P3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P3s as text
%        str2double(get(hObject,'String')) returns contents of P3s as a double


% --- Executes during object creation, after setting all properties.
function P3s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q3s_Callback(hObject, eventdata, handles)
% hObject    handle to Q3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q3s as text
%        str2double(get(hObject,'String')) returns contents of Q3s as a double


% --- Executes during object creation, after setting all properties.
function Q3s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U3_Callback(hObject, eventdata, handles)
% hObject    handle to U3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U3 as text
%        str2double(get(hObject,'String')) returns contents of U3 as a double


% --- Executes during object creation, after setting all properties.
function U3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A3_Callback(hObject, eventdata, handles)
% hObject    handle to A3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A3 as text
%        str2double(get(hObject,'String')) returns contents of A3 as a double


% --- Executes during object creation, after setting all properties.
function A3_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A3 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function U3s_Callback(hObject, eventdata, handles)
% hObject    handle to U3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of U3s as text
%        str2double(get(hObject,'String')) returns contents of U3s as a double


% --- Executes during object creation, after setting all properties.
function U3s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to U3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function A3s_Callback(hObject, eventdata, handles)
% hObject    handle to A3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of A3s as text
%        str2double(get(hObject,'String')) returns contents of A3s as a double


% --- Executes during object creation, after setting all properties.
function A3s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to A3s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P43_Callback(hObject, eventdata, handles)
% hObject    handle to P43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P43 as text
%        str2double(get(hObject,'String')) returns contents of P43 as a double


% --- Executes during object creation, after setting all properties.
function P43_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q43_Callback(hObject, eventdata, handles)
% hObject    handle to Q43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q43 as text
%        str2double(get(hObject,'String')) returns contents of Q43 as a double


% --- Executes during object creation, after setting all properties.
function Q43_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q43 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q43s_Callback(hObject, eventdata, handles)
% hObject    handle to Q43s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q43s as text
%        str2double(get(hObject,'String')) returns contents of Q43s as a double


% --- Executes during object creation, after setting all properties.
function Q43s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q43s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P43s_Callback(hObject, eventdata, handles)
% hObject    handle to P43s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P43s as text
%        str2double(get(hObject,'String')) returns contents of P43s as a double


% --- Executes during object creation, after setting all properties.
function P43s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P43s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P34_Callback(hObject, eventdata, handles)
% hObject    handle to P34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P34 as text
%        str2double(get(hObject,'String')) returns contents of P34 as a double


% --- Executes during object creation, after setting all properties.
function P34_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q34_Callback(hObject, eventdata, handles)
% hObject    handle to Q34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q34 as text
%        str2double(get(hObject,'String')) returns contents of Q34 as a double


% --- Executes during object creation, after setting all properties.
function Q34_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q34 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P34s_Callback(hObject, eventdata, handles)
% hObject    handle to P34s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P34s as text
%        str2double(get(hObject,'String')) returns contents of P34s as a double


% --- Executes during object creation, after setting all properties.
function P34s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P34s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q34s_Callback(hObject, eventdata, handles)
% hObject    handle to Q34s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q34s as text
%        str2double(get(hObject,'String')) returns contents of Q34s as a double


% --- Executes during object creation, after setting all properties.
function Q34s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q34s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P42s_Callback(hObject, eventdata, handles)
% hObject    handle to P42s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P42s as text
%        str2double(get(hObject,'String')) returns contents of P42s as a double


% --- Executes during object creation, after setting all properties.
function P42s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P42s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q42s_Callback(hObject, eventdata, handles)
% hObject    handle to Q42s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q42s as text
%        str2double(get(hObject,'String')) returns contents of Q42s as a double


% --- Executes during object creation, after setting all properties.
function Q42s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q42s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q42_Callback(hObject, eventdata, handles)
% hObject    handle to Q42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q42 as text
%        str2double(get(hObject,'String')) returns contents of Q42 as a double


% --- Executes during object creation, after setting all properties.
function Q42_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P42_Callback(hObject, eventdata, handles)
% hObject    handle to P42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P42 as text
%        str2double(get(hObject,'String')) returns contents of P42 as a double


% --- Executes during object creation, after setting all properties.
function P42_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P42 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P31_Callback(hObject, eventdata, handles)
% hObject    handle to P31 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P31 as text
%        str2double(get(hObject,'String')) returns contents of P31 as a double


% --- Executes during object creation, after setting all properties.
function P31_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P31 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q31_Callback(hObject, eventdata, handles)
% hObject    handle to Q31 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q31 as text
%        str2double(get(hObject,'String')) returns contents of Q31 as a double


% --- Executes during object creation, after setting all properties.
function Q31_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q31 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P31s_Callback(hObject, eventdata, handles)
% hObject    handle to P31s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P31s as text
%        str2double(get(hObject,'String')) returns contents of P31s as a double


% --- Executes during object creation, after setting all properties.
function P31s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P31s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q31s_Callback(hObject, eventdata, handles)
% hObject    handle to Q31s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q31s as text
%        str2double(get(hObject,'String')) returns contents of Q31s as a double


% --- Executes during object creation, after setting all properties.
function Q31s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q31s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P13s_Callback(hObject, eventdata, handles)
% hObject    handle to P13s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P13s as text
%        str2double(get(hObject,'String')) returns contents of P13s as a double


% --- Executes during object creation, after setting all properties.
function P13s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P13s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q13_Callback(hObject, eventdata, handles)
% hObject    handle to Q13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q13 as text
%        str2double(get(hObject,'String')) returns contents of Q13 as a double


% --- Executes during object creation, after setting all properties.
function Q13_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q13s_Callback(hObject, eventdata, handles)
% hObject    handle to Q13s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q13s as text
%        str2double(get(hObject,'String')) returns contents of Q13s as a double


% --- Executes during object creation, after setting all properties.
function Q13s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q13s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P32_Callback(hObject, eventdata, handles)
% hObject    handle to P32 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P32 as text
%        str2double(get(hObject,'String')) returns contents of P32 as a double


% --- Executes during object creation, after setting all properties.
function P32_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P32 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q32_Callback(hObject, eventdata, handles)
% hObject    handle to Q32 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q32 as text
%        str2double(get(hObject,'String')) returns contents of Q32 as a double


% --- Executes during object creation, after setting all properties.
function Q32_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q32 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P32s_Callback(hObject, eventdata, handles)
% hObject    handle to P32s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P32s as text
%        str2double(get(hObject,'String')) returns contents of P32s as a double


% --- Executes during object creation, after setting all properties.
function P32s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P32s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q32s_Callback(hObject, eventdata, handles)
% hObject    handle to Q32s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q32s as text
%        str2double(get(hObject,'String')) returns contents of Q32s as a double


% --- Executes during object creation, after setting all properties.
function Q32s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q32s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P23_Callback(hObject, eventdata, handles)
% hObject    handle to P23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P23 as text
%        str2double(get(hObject,'String')) returns contents of P23 as a double


% --- Executes during object creation, after setting all properties.
function P23_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q23_Callback(hObject, eventdata, handles)
% hObject    handle to Q23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q23 as text
%        str2double(get(hObject,'String')) returns contents of Q23 as a double


% --- Executes during object creation, after setting all properties.
function Q23_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q23 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P23s_Callback(hObject, eventdata, handles)
% hObject    handle to P23s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P23s as text
%        str2double(get(hObject,'String')) returns contents of P23s as a double


% --- Executes during object creation, after setting all properties.
function P23s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P23s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q23s_Callback(hObject, eventdata, handles)
% hObject    handle to Q23s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q23s as text
%        str2double(get(hObject,'String')) returns contents of Q23s as a double


% --- Executes during object creation, after setting all properties.
function Q23s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q23s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P24_Callback(hObject, eventdata, handles)
% hObject    handle to P24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P24 as text
%        str2double(get(hObject,'String')) returns contents of P24 as a double


% --- Executes during object creation, after setting all properties.
function P24_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q24_Callback(hObject, eventdata, handles)
% hObject    handle to Q24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q24 as text
%        str2double(get(hObject,'String')) returns contents of Q24 as a double


% --- Executes during object creation, after setting all properties.
function Q24_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q24 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P24s_Callback(hObject, eventdata, handles)
% hObject    handle to P24s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P24s as text
%        str2double(get(hObject,'String')) returns contents of P24s as a double


% --- Executes during object creation, after setting all properties.
function P24s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P24s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q24s_Callback(hObject, eventdata, handles)
% hObject    handle to Q24s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q24s as text
%        str2double(get(hObject,'String')) returns contents of Q24s as a double


% --- Executes during object creation, after setting all properties.
function Q24s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q24s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P25_Callback(hObject, eventdata, handles)
% hObject    handle to P25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P25 as text
%        str2double(get(hObject,'String')) returns contents of P25 as a double


% --- Executes during object creation, after setting all properties.
function P25_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q25_Callback(hObject, eventdata, handles)
% hObject    handle to Q25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q25 as text
%        str2double(get(hObject,'String')) returns contents of Q25 as a double


% --- Executes during object creation, after setting all properties.
function Q25_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P25s_Callback(hObject, eventdata, handles)
% hObject    handle to P25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P25s as text
%        str2double(get(hObject,'String')) returns contents of P25s as a double


% --- Executes during object creation, after setting all properties.
function P25s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q25s_Callback(hObject, eventdata, handles)
% hObject    handle to Q25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q25s as text
%        str2double(get(hObject,'String')) returns contents of Q25s as a double


% --- Executes during object creation, after setting all properties.
function Q25s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P52_Callback(hObject, eventdata, handles)
% hObject    handle to P52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P52 as text
%        str2double(get(hObject,'String')) returns contents of P52 as a double


% --- Executes during object creation, after setting all properties.
function P52_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q52_Callback(hObject, eventdata, handles)
% hObject    handle to Q52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q52 as text
%        str2double(get(hObject,'String')) returns contents of Q52 as a double


% --- Executes during object creation, after setting all properties.
function Q52_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P52s_Callback(hObject, eventdata, handles)
% hObject    handle to P52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P52s as text
%        str2double(get(hObject,'String')) returns contents of P52s as a double


% --- Executes during object creation, after setting all properties.
function P52s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Q52s_Callback(hObject, eventdata, handles)
% hObject    handle to Q52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Q52s as text
%        str2double(get(hObject,'String')) returns contents of Q52s as a double


% --- Executes during object creation, after setting all properties.
function Q52s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Q52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT25_Callback(hObject, eventdata, handles)
% hObject    handle to PT25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT25 as text
%        str2double(get(hObject,'String')) returns contents of PT25 as a double


% --- Executes during object creation, after setting all properties.
function PT25_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT25s_Callback(hObject, eventdata, handles)
% hObject    handle to PT25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT25s as text
%        str2double(get(hObject,'String')) returns contents of PT25s as a double


% --- Executes during object creation, after setting all properties.
function PT25s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT25_Callback(hObject, eventdata, handles)
% hObject    handle to QT25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT25 as text
%        str2double(get(hObject,'String')) returns contents of QT25 as a double


% --- Executes during object creation, after setting all properties.
function QT25_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT25 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT_Callback(hObject, eventdata, handles)
% hObject    handle to QT (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT as text
%        str2double(get(hObject,'String')) returns contents of QT as a double


% --- Executes during object creation, after setting all properties.
function QT_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT25s_Callback(hObject, eventdata, handles)
% hObject    handle to QT25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT25s as text
%        str2double(get(hObject,'String')) returns contents of QT25s as a double


% --- Executes during object creation, after setting all properties.
function QT25s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT25s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT52_Callback(hObject, eventdata, handles)
% hObject    handle to PT52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT52 as text
%        str2double(get(hObject,'String')) returns contents of PT52 as a double


% --- Executes during object creation, after setting all properties.
function PT52_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function PT52s_Callback(hObject, eventdata, handles)
% hObject    handle to PT52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of PT52s as text
%        str2double(get(hObject,'String')) returns contents of PT52s as a double


% --- Executes during object creation, after setting all properties.
function PT52s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to PT52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT52_Callback(hObject, eventdata, handles)
% hObject    handle to QT52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT52 as text
%        str2double(get(hObject,'String')) returns contents of QT52 as a double


% --- Executes during object creation, after setting all properties.
function QT52_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT52 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function QT52s_Callback(hObject, eventdata, handles)
% hObject    handle to QT52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of QT52s as text
%        str2double(get(hObject,'String')) returns contents of QT52s as a double


% --- Executes during object creation, after setting all properties.
function QT52s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to QT52s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function P13_Callback(hObject, eventdata, handles)
% hObject    handle to P13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of P13 as text
%        str2double(get(hObject,'String')) returns contents of P13 as a double


% --- Executes during object creation, after setting all properties.
function P13_CreateFcn(hObject, eventdata, handles)
% hObject    handle to P13 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end

function n=Nachkommastellen(epsilon)
    epsilon=abs(epsilon);
    n=0;
    if(epsilon>=1|isnan(epsilon)|isinf(epsilon))n=0;
    elseif(epsilon==0|epsilon<10^-6)
        n=4
    else 
    while(epsilon<10^(-n))
        n=n+1;
    end
        end
        
n=n+1;

function writeSoll(hObject, eventdata, handles, Lastfluss_typ,Netz)
    
nksi=10^Nachkommastellen(str2double(get(handles.epsilon,'String')));
%---------------------------------------------------------------------------------------------
 % Altes_Format=get(0,'Format');
  format short g;
  disp(' ');
  disp('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
  disp('!!!!Achtung die Ausgabe erfolgt in einer kompakten Schreibweise!!!!!');
  disp('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!')
  disp(' ');
  disp('----------------------------------Ausgabe-(Betreuerversion)-------------------------------------------');
  
if(Lastfluss_typ==0)
    load 'Ergebnisse\Praktikum_Netz_Erg1.mat';

Pij=round(nksi.*real(Ref_Sij))./nksi;
Qij=round(nksi.*imag(Ref_Sij))./nksi;
Pji=round(nksi.*real(Ref_Sji))./nksi;
Qji=round(nksi.*imag(Ref_Sji))./nksi;

Pij_t=round(nksi.*real(Ref_Sij_t))./nksi;
Qij_t=round(nksi.*imag(Ref_Sij_t))./nksi;
Pji_t=round(nksi.*real(Ref_Sji_t))./nksi;
Qji_t=round(nksi.*imag(Ref_Sji_t))./nksi;
    

  disp('Knotennr. [von]  Knotennr. [nach] Sij Sji ');
  disp('-------------------------------------------------------------------------------------');
  disp([Connection_Data(:,1) Connection_Data(:,2) Ref_Sij Ref_Sji]);
  disp('---------------------------------------------------------------------------------------------------');
  disp('Knotennr. [von]  Knotennr. [nach] Sij_t Sji_t ');
  disp('-------------------------------------------------------------------------------------');
  disp([Tct_Data(:,1) Tct_Data(:,2) Ref_Sij_t Ref_Sji_t]);
  disp('---------------------------------------------------------------------------------------------------');
else

  
  
if(Netz==0)
    
    if(Lastfluss_typ==1)
    ErgDatName='Ergebnisse\Praktikum_Netz_ErgNurPQ.mat';
    elseif(Lastfluss_typ==2)
    ErgDatName='Ergebnisse\Praktikum_Netz_ErgPQPU.mat';
    elseif(Lastfluss_typ==3)
    ErgDatName= 'Ergebnisse\Praktikum_Netz_ErgVoll.mat';
    end

else
  
    if(Lastfluss_typ==1)
    ErgDatName= 'Ergebnisse\IEEE_Netz_ErgNurPQ.mat';
    elseif(Lastfluss_typ==2)
    ErgDatName='Ergebnisse\IEEE_Netz_ErgPQPU.mat';
    elseif(Lastfluss_typ==3)
    ErgDatName='Ergebnisse\IEEE_Netz_ErgVoll.mat';
    end

end
load(ErgDatName);
U_betrag=abs(Ua);
U_winkel=(180/pi).*angle(Ua);
Pa=Sb.*real(Sa);
Qa=Sb.*imag(Sa);
  disp('Knotennr. [von]  Knotennr. [nach] Sij Sji ');
  disp('-------------------------------------------------------------------------------------');
  disp([Connection_Data(:,1) Connection_Data(:,2) Sij Sji]);
  disp('---------------------------------------------------------------------------------------------------');
  disp('Knotennr. [von]  Knotennr. [nach] Sij_t Sji_t ');
  disp('-------------------------------------------------------------------------------------');
  disp([Tct_Data(:,1) Tct_Data(:,2) Sij_t Sji_t]);
  disp('---------------------------------------------------------------------------------------------------');
  disp('Knotennr.:     Knotentyp (0=PQ; 2=PU; 3=REF)   |Ui| <Ui  Pi  Qi');
  disp('---------------------------------------------------------------------------------------------------');
  disp([Bus_Data(:,1:2) U_betrag U_winkel Pa Qa]);

 disp('----------------------------------Ende: Ausgabe-(Betreuerversion)-------------------------------------------');

 
if(Netz==0)
U_betrag=round(U_betrag.*nksi)./nksi;
U_winkel=round(U_winkel.*nksi)./nksi;
Pa=round(Pa.*nksi)./nksi;
Qa=round(Qa.*nksi)./nksi;
  
set(handles.U1,'String',U_betrag(1))
set(handles.U2,'String',U_betrag(2))
set(handles.U3,'String',U_betrag(3))
set(handles.U4,'String',U_betrag(4))
set(handles.U5,'String',U_betrag(5))

set(handles.A1,'String',U_winkel(1))
set(handles.A2,'String',U_winkel(2))
set(handles.A3,'String',U_winkel(3))
set(handles.A4,'String',U_winkel(4))
set(handles.A5,'String',U_winkel(5))

set(handles.P1,'String',Pa(1))
set(handles.P2,'String',Pa(2))
set(handles.P3,'String',Pa(3))
set(handles.P4,'String',Pa(4))
set(handles.P5,'String',Pa(5))

set(handles.Q1,'String',Qa(1))
set(handles.Q2,'String',Qa(2))
set(handles.Q3,'String',Qa(3))
set(handles.Q4,'String',Qa(4))
set(handles.Q5,'String',Qa(5))

Pij=round(nksi.*real(Sij))./nksi;
Qij=round(nksi.*imag(Sij))./nksi;
Pji=round(nksi.*real(Sji))./nksi;
Qji=round(nksi.*imag(Sji))./nksi;

Pij_t=round(nksi.*real(Sij_t))./nksi;
Qij_t=round(nksi.*imag(Sij_t))./nksi;
Pji_t=round(nksi.*real(Sji_t))./nksi;
Qji_t=round(nksi.*imag(Sji_t))./nksi;
end  
  
end

if(Netz==0)
set(handles.P12,'String',Pij(1))
set(handles.P13,'String',Pij(2))
set(handles.P23,'String',Pij(3))
set(handles.P24,'String',Pij(4))
set(handles.P34,'String',Pij(5))

set(handles.Q12,'String',Qij(1))
set(handles.Q13,'String',Qij(2))
set(handles.Q23,'String',Qij(3))
set(handles.Q24,'String',Qij(4))
set(handles.Q34,'String',Qij(5))

set(handles.P21,'String',Pji(1))
set(handles.P31,'String',Pji(2))
set(handles.P32,'String',Pji(3))
set(handles.P42,'String',Pji(4))
set(handles.P43,'String',Pji(5))

set(handles.Q21,'String',Qji(1))
set(handles.Q31,'String',Qji(2))
set(handles.Q32,'String',Qji(3))
set(handles.Q42,'String',Qji(4))
set(handles.Q43,'String',Qji(5))

set(handles.QT25,'String',Qij_t(1))
set(handles.QT45,'String',Qij_t(2))
set(handles.QT52,'String',Qji_t(1))
set(handles.QT54,'String',Qji_t(2))

set(handles.PT25,'String',Pij_t(1))
set(handles.PT45,'String',Pij_t(2))
set(handles.PT52,'String',Pji_t(1))
set(handles.PT54,'String',Pji_t(2))
end  
 

function writeIst(hObject, eventdata, handles, Lastfluss_typ)
hObject1=hObject;
eventdata1=eventdata; handles1=handles; Lastfluss_typ1=Lastfluss_typ;
load Ergebnisse\NetResults_Student.mat;
eventdata=eventdata1; handles=handles1; Lastfluss_typ=Lastfluss_typ1;
nksi=10^Nachkommastellen(str2double(get(handles.epsilon,'String')));
if(Lastfluss_typ~=0)  

U_betrag1=round(nksi.*U_betrag)./nksi;
U_winkel1=round(nksi.*U_winkel)./nksi;

set(handles.U1s,'String',U_betrag1(1))
set(handles.U2s,'String',U_betrag1(2))
set(handles.U3s,'String',U_betrag1(3))
set(handles.U4s,'String',U_betrag1(4))
set(handles.U5s,'String',U_betrag1(5))

set(handles.A1s,'String',U_winkel1(1))
set(handles.A2s,'String',U_winkel1(2))
set(handles.A3s,'String',U_winkel1(3))
set(handles.A4s,'String',U_winkel1(4))
set(handles.A5s,'String',U_winkel1(5))

Pa1=round(nksi.*Pa)./nksi;
Qa1=round(nksi.*Qa)./nksi;

set(handles.P1s,'String',Pa1(1))
set(handles.P2s,'String',Pa1(2))
set(handles.P3s,'String',Pa1(3))
set(handles.P4s,'String',Pa1(4))
set(handles.P5s,'String',Pa1(5))

set(handles.Q1s,'String',Qa1(1))
set(handles.Q2s,'String',Qa1(2))
set(handles.Q3s,'String',Qa1(3))
set(handles.Q4s,'String',Qa1(4))
set(handles.Q5s,'String',Qa1(5))

end
Pij=round(nksi.*real(Sij))./nksi;
Qij=round(nksi.*imag(Sij))./nksi;
Pji=round(nksi.*real(Sji))./nksi;
Qji=round(nksi.*imag(Sji))./nksi;

set(handles.P12s,'String',Pij(1))
set(handles.P13s,'String',Pij(2))
set(handles.P23s,'String',Pij(3))
set(handles.P24s,'String',Pij(4))
set(handles.P34s,'String',Pij(5))

set(handles.Q12s,'String',Qij(1))
set(handles.Q13s,'String',Qij(2))
set(handles.Q23s,'String',Qij(3))
set(handles.Q24s,'String',Qij(4))
set(handles.Q34s,'String',Qij(5))


set(handles.P21s,'String',Pji(1))
set(handles.P31s,'String',Pji(2))
set(handles.P32s,'String',Pji(3))
set(handles.P42s,'String',Pji(4))
set(handles.P43s,'String',Pji(5))

set(handles.Q21s,'String',Qji(1))
set(handles.Q31s,'String',Qji(2))
set(handles.Q32s,'String',Qji(3))
set(handles.Q42s,'String',Qji(4))
set(handles.Q43s,'String',Qji(5))

Pij=round(nksi.*real(Sij_t))./nksi;
Qij=round(nksi.*imag(Sij_t))./nksi;
Pji=round(nksi.*real(Sji_t))./nksi;
Qji=round(nksi.*imag(Sji_t))./nksi;

set(handles.QT25s,'String',Qij(1))
set(handles.QT45s,'String',Qij(2))
set(handles.QT52s,'String',Qji(1))
set(handles.QT54s,'String',Qji(2))

set(handles.PT25s,'String',Pij(1))
set(handles.PT45s,'String',Pij(2))
set(handles.PT52s,'String',Pji(1))
set(handles.PT54s,'String',Pji(2))




function c=str2double_0(str)
c=str2double(str);
if(isnan(c))c=0;end;


% --- Executes on button press in ErrButton.
function ErrButton_Callback(hObject, eventdata, handles)
hObject1=hObject;eventdata1=eventdata; handles1=handles;
load Ergebnisse\NetResults_Student.mat;
Sij_err=0;SijT_err=0;Sji_err=0;SjiT_err=0;U_betrag_err=0;U_winkel_err=0;Pa_err=0;Qa_err=0;
uiwait(msgbox({'Zahlenwerte werden im Command Window ausgegeben!'},'Information zur Ausgabe','warn','modal'))
if (Lastfluss_type==0)
Sij_err=Ref_Sij-Sij
SijT_err=Ref_Sij_t-Sij_t
Sji_err=Ref_Sji-Sji
SjiT_err=Ref_Sji_t-Sji_t
U_betrag_err=0
U_winkel_err=0
Pa_err=0
Qa_err=0
else
Sij_stud=Sij;
Sji_stud=Sji;
SijT_stud=Sij_t;
SjiT_stud=Sji_t;
U_betrag_stud=U_betrag;
U_winkel_stud=U_winkel;
Pa_stud=Pa;
Qa_stud=Qa;

if(Netz==0)
    if(Lastfluss_type==1)
    ErgDatName='Ergebnisse\Praktikum_Netz_ErgNurPQ.mat';
    elseif(Lastfluss_type==2)
    ErgDatName='Ergebnisse\Praktikum_Netz_ErgPQPU.mat';
    elseif(Lastfluss_type==3)
    ErgDatName= 'Ergebnisse\Praktikum_Netz_ErgVoll.mat';
    end

else
  
    if(Lastfluss_type==1)
    ErgDatName= 'Ergebnisse\IEEE_Netz_ErgNurPQ.mat';
    elseif(Lastfluss_type==2)
    ErgDatName='Ergebnisse\IEEE_Netz_ErgPQPU.mat';
    elseif(Lastfluss_type==3)
    ErgDatName='Ergebnisse\IEEE_Netz_ErgVoll.mat';
    end

end
load(ErgDatName); 

Sij_ref=Sij;
Sji_ref=Sji;
SijT_ref=Sij_t;
SjiT_ref=Sji_t;
U_betrag_ref=U_betrag;
U_winkel_ref=U_winkel;
Pa_ref=Pa;
Qa_ref=Qa;

 
Sij_err=Sij_ref-Sij_stud
SijT_err=SijT_ref-SijT_stud
Sji_err=Sji_ref-Sji_stud
SjiT_err=SjiT_ref-SjiT_stud
U_betrag_err=U_betrag_ref-U_betrag_stud;
U_abs_err = U_betrag_err % fr englische Ausgabe
U_winkel_err=U_winkel_ref-U_winkel_stud;
U_angle_err = U_winkel_err % fr englische Ausgabe
Pa_err=Pa_ref-Pa_stud
Qa_err=Qa_ref-Qa_stud
end

mae=[sum(abs(U_betrag_err)) sum(abs(U_winkel_err)) sum(abs(Pa_err)) sum(abs(Qa_err)) sum(abs(real(Sij_err))) sum(abs(imag(Sij_err))) sum(abs(real(Sji_err))) sum(abs(imag(Sji_err))) sum(abs(real(SijT_err))) sum(abs(imag(SijT_err))) sum(abs(real(SjiT_err))) sum(abs(imag(SjiT_err))) ]
rmse=[sum(U_betrag_err.^2) sum(U_winkel_err.^2) sum(Pa_err.^2) sum(Qa_err.^2) sum(real(Sij_err).^2) sum(imag(Sij_err).^2) sum(real(Sji_err).^2) sum(imag(Sji_err).^2) sum(real(SijT_err).^2) sum(imag(SijT_err).^2) sum(real(SjiT_err).^2) sum(imag(SjiT_err).^2) ];
rmse=sqrt(rmse)
figure
subplot(2,1,1);bar(rmse);
set(gca,'XTickLabel',{'|U|'; '<U'; 'P'; 'Q'; 'Pij'; 'Qij'; 'Pji'; 'Qji'; 'PijT'; 'QijT'; 'PjiT'; 'QjiT'});
xlabel('Value');
ylabel('RMSE');
title('Deviation from set point: RMSE (Root Mean Squared Error)');
subplot(2,1,2),bar(mae);
set(gca,'XTickLabel',{'|U|'; '<U'; 'P'; 'Q'; 'Pij'; 'Qij'; 'Pji'; 'Qji'; 'PijT'; 'QijT'; 'PjiT'; 'QjiT'});
xlabel('Value');
ylabel('MAE');
title('Deviation from set point: MAE (mean absolute error)');


% --- Executes on button press in ImEdit.
function ImEdit_Callback(hObject, eventdata, handles)
% hObject    handle to ImEdit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
%Script zur umformatierung des Ergebnissvektors
hObject1=hObject;eventdata1=eventdata; handles1=handles;
load Ergebnisse\NetResults_Student.mat;

ergname = strcat('Ergebnisse\',netzname,'_lf_erg.txt');
ErgDatName='';
[file_,message]=fopen(ergname,'w');
disp(['Ergebnisse werden in das Textfile: ' ergname ' geschrieben!']);
uiwait(msgbox({'Ergebnisse werden in das Textfile: ' ergname ' geschrieben!'},'Information zur Ausgabe','warn','modal'))
%---------------------------------------------------------------------------------------------

if file_==-1
   disp(['Fehler beim Schreiben zur Datei ' ergname ', Fehlermeldung: ' message]);
else  
   if(Lastfluss_type==0)
 fprintf(file_,'----------------------------------Ergebniss der Leistungsflussberechnung--(Betreuerversion)---------------------------\n\n');
 
 fprintf(file_,'----------------------------------Leitungsbelastung-----------------------------\n');
   fprintf(file_,'Kn.nr.\t Kn.nr.\t Pij\t Qij\t Pji\t Qji\n');
   fprintf(file_,'[von]\t [nach]      \n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %4.3f\t %4.3f\n',[Connection_Data(:,1:2) real(Ref_Sij) imag(Ref_Sij) real(Ref_Sji) imag(Ref_Sji) ]');
   
   fprintf(file_,'-------------------------------Transformatorbelastung---------------------------\n');
   fprintf(file_,'Kn.nr.\t Kn.nr.\t Pij_t\t Qij_t\t Pji_t\t Qji_t\n');
   fprintf(file_,'[von]\t [nach]      \n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %4.3f\t %4.3f\n',[Tct_Data(:,1:2) real(Ref_Sij_t) imag(Ref_Sij_t) real(Ref_Sji_t) imag(Ref_Sji_t) ]');
 
 fprintf(file_,'----------------------------------Ergebniss der Leistungsflussberechnung--(Studentenversion)---------------------------\n\n');
   fprintf(file_,'----------------------------------Leitungsbelastung-----------------------------\n');
   fprintf(file_,'Kn.nr.\t Kn.nr.\t Pij\t Qij\t Pji\t Qji\n');
   fprintf(file_,'[von]\t [nach]      \n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %4.3f\t %4.3f\n',[Connection_Data(:,1:2) real(Sij) imag(Sij) real(Sji) imag(Sji) ]');
   
   fprintf(file_,'-------------------------------Transformatorbelastung---------------------------\n');
   fprintf(file_,'Kn.nr.\t Kn.nr.\t Pij_t\t Qij_t\t Pji_t\t Qji_t\n');
   fprintf(file_,'[von]\t [nach]      \n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %4.3f\t %4.3f\n',[Tct_Data(:,1:2) real(Sij_t) imag(Sij_t) real(Sji_t) imag(Sji_t) ]');
   
   else
   if(Netz==0)
    
    if(Lastfluss_type==1)
    ErgDatName='Ergebnisse\Praktikum_Netz_ErgNurPQ.mat';
    fprintf(file_,'----------------------------------Lastfluss der nur PQ-Knoten betrachtet!---------------------------\n\n');
    elseif(Lastfluss_type==2)
    ErgDatName='Ergebnisse\Praktikum_Netz_ErgPQPU.mat';
    fprintf(file_,'----------------------------------Lastfluss der PQ und PU-Knoten betrachtet!---------------------------\n\n');
    elseif(Lastfluss_type==3)
    ErgDatName= 'Ergebnisse\Praktikum_Netz_ErgVoll.mat';
    fprintf(file_,'----------------------------------Vollstndiger Lastfluss!---------------------------\n\n');
    end

else
  
    if(Lastfluss_type==1)
    ErgDatName= 'Ergebnisse\IEEE_Netz_ErgNurPQ.mat';
    fprintf(file_,'----------------------------------Lastfluss der nur PQ-Knoten betrachtet!---------------------------\n\n');
    elseif(Lastfluss_type==2)
    ErgDatName='Ergebnisse\IEEE_Netz_ErgPQPU.mat';
    fprintf(file_,'----------------------------------Lastfluss der PQ und PU-Knoten betrachtet!---------------------------\n\n');
    elseif(Lastfluss_type==3)
    ErgDatName='Ergebnisse\IEEE_Netz_ErgVoll.mat';
    fprintf(file_,'----------------------------------Vollstndiger Lastfluss!---------------------------\n\n');
    end

end
load(ErgDatName); 
fprintf(file_,'----------------------------------Lastflussergebnis--(Betreuerversion)---------------------------\n\n');
    
    for ind=1:2
        if(ind==2)
    fprintf(file_,'********************************************************************************************************\n\n');
    load Ergebnisse\NetResults_Student.mat;
    fprintf(file_,'\n\n----------------------------------Lastflussergebnis--(Studentenversion)---------------------------\n\n');
        end
   %fprintf(file_,'Alle Angaben in p.u. Sb=%3.2f\n',Sb);
         
   fprintf(file_,'------------------------LF-Ergebnissvektor-berblick----------------------------\n');
   fprintf(file_,'Kn.nr.Kn.typ  |Ui|         <Ui          Pi          Qi\n');
   fprintf(file_,'       0=PQ;\n');
   fprintf(file_,'       2=PU;\n');
   fprintf(file_,'       3=REF\n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.4f\t %+4.4f\t %+4.4f\t %+4.4f\n',[Bus_Data(:,1:2) U_betrag U_winkel Pa Qa]');
   
   fprintf(file_,'---------------------------------Spannungsband----------------------------------\n');
   fprintf(file_,'Kn.nr.Kn.typ  |Ui|         <Ui         Umin        Umax  Spannungsband verletzt?\n');
   fprintf(file_,'       0=PQ;                                               0=Nein\n');
   fprintf(file_,'       2=PU;                                               1=Unter Grenze\n');
   fprintf(file_,'       3=REF                                               2=Obere Grenze\n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.4f\t %+4.4f\t %+4.4f\t %+4.4f\t %d\n',[Bus_Data(:,1:2) U_betrag U_winkel Umin Umax sp_verletzt]');
   
   fprintf(file_,'----------------------------Einspeise- u. Lastmuster----------------------------\n');
   fprintf(file_,'Kn.nr.Kn.typ  Pg      Qg         Pl       Ql \n');
   fprintf(file_,'       0=PQ;\n');
   fprintf(file_,'       2=PU;\n');
   fprintf(file_,'       3=REF\n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %4.3f\t %4.3f\n',[Bus_Data(:,1:2) Pg_lf Qg_lf Pl_lf Ql_lf]');

   fprintf(file_,'----------------------------------Leitungsbelastung-----------------------------\n');
   fprintf(file_,'Kn.nr.Kn.nr. |Sij|   |Sij|/Sijmax   <Sij      |Sji|    |Sji|/Sijmax  <Sji Ueber-\n');
   fprintf(file_,'[von] [nach]       (Dauerbelastung)                  (Dauerbelastung)      last?\n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %+3.2f\t %4.3f\t %4.3f\t %+3.2f %d\n',[Connection_Data(:,1:2) Sij_betrag Sij_ueberlast Sij_winkel Sji_betrag Sji_ueberlast Sji_winkel ueberlast]');
   
   fprintf(file_,'-------------------------------Transformatorbelastung---------------------------\n');
   fprintf(file_,'Kn.nr.Kn.nr. |Sij|   |Sij|/Sijmax   <Sij      |Sji|    |Sji|/Sijmax  <Sji Ueber-\n');
   fprintf(file_,'[von] [nach]       (Dauerbelastung)                  (Dauerbelastung)      last?\n');
   fprintf(file_,'--------------------------------------------------------------------------------\n');
   fprintf(file_,'%d\t %d\t %4.3f\t %4.3f\t %+3.2f\t %4.3f\t %4.3f\t %+3.2f %d\n',[Tct_Data(:,1:2) Sij_betrag_t Sij_ueberlast_t Sij_winkel_t Sji_betrag_t Sji_ueberlast_t Sji_winkel_t ueberlast_t]');
    end  
   end
   fclose(file_);
end
% Anzeige der Ergebnisse
pause(1);
hObject=hObject1;eventdata=eventdata1; handles=handles1; 
edit(ergname); 

% --- Executes on button press in CallSijFile.
function CallSijFile_Callback(hObject, eventdata, handles)
% hObject    handle to CallSijFile (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
edit(strcat(pwd, '\Lastfluss\nbtp_Sij.m'));

% --- Executes on button press in CallLFNRFile.
function CallLFNRFile_Callback(hObject, eventdata, handles)
% hObject    handle to CallLFNRFile (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
edit(strcat(pwd,'\Lastfluss\nbtp_lfnr.m'));



% --- Executes on button press in CallNetFile.
function CallNetFile_Callback(hObject, eventdata, handles)
% hObject    handle to CallNetFile (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
edit(strcat(pwd,'\Netzparameter\Praktikum_Netz.m'));



% --- Executes on button press in PrintButton.
function PrintButton_Callback(hObject, eventdata, handles)
% hObject    handle to PrintButton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
PRINTDLG(GCF)
%print

function edit249_Callback(hObject, eventdata, handles)
% hObject    handle to edit249 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit249 as text
%        str2double(get(hObject,'String')) returns contents of edit249 as a double


% --- Executes during object creation, after setting all properties.
function edit249_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit249 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function Epsilon_Callback(hObject, eventdata, handles)
% hObject    handle to Epsilon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of Epsilon as text
%        str2double(get(hObject,'String')) returns contents of Epsilon as a double


% --- Executes during object creation, after setting all properties.
function Epsilon_CreateFcn(hObject, eventdata, handles)
% hObject    handle to Epsilon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function IterMax_Callback(hObject, eventdata, handles)
% hObject    handle to IterMax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of IterMax as text
%        str2double(get(hObject,'String')) returns contents of IterMax as a double


% --- Executes during object creation, after setting all properties.
function IterMax_CreateFcn(hObject, eventdata, handles)
% hObject    handle to IterMax (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end





function epsilon_Callback(hObject, eventdata, handles)
% hObject    handle to epsilon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of epsilon as text
%        str2double(get(hObject,'String')) returns contents of epsilon as a double


% --- Executes during object creation, after setting all properties.
function epsilon_CreateFcn(hObject, eventdata, handles)
% hObject    handle to epsilon (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function itersteps_Callback(hObject, eventdata, handles)
% hObject    handle to itersteps (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of itersteps as text
%        str2double(get(hObject,'String')) returns contents of itersteps as a double


% --- Executes during object creation, after setting all properties.
function itersteps_CreateFcn(hObject, eventdata, handles)
% hObject    handle to itersteps (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end




% --- If Enable == 'on', executes on mouse press in 5 pixel border.
% --- Otherwise, executes on mouse press in 5 pixel border or over PrintButton.
function PrintButton_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to PrintButton (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)




% --------------------------------------------------------------------
function uipanel7_ButtonDownFcn(hObject, eventdata, handles)
% hObject    handle to uipanel7 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --- Executes on button press in PRNetz.
function PRNetz_Callback(hObject, eventdata, handles)
% hObject    handle to PRNetz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of PRNetz
if(get(handles.PRNetz, 'Value')==get(hObject,'Min'))
    set(handles.PRNetz, 'Value',1)
end
Command2all(hObject, eventdata, handles,'String','')
Command2all(hObject, eventdata, handles,'Enable','inactive')
% --- Executes on button press in IEEE_Netz.
function IEEE_Netz_Callback(hObject, eventdata, handles)
% hObject    handle to IEEE_Netz (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of IEEE_Netz
if(get(handles.IEEE_Netz, 'Value')==get(hObject,'Min'))
    set(handles.IEEE_Netz, 'Value',1)
end
Command2all(hObject, eventdata, handles,'String','---')
Command2all(hObject, eventdata, handles,'Enable','off')
set(handles.Konvergenz, 'Enable','inactive')
set(handles.Zeit, 'Enable','inactive')
set(handles.itersteps, 'Enable','inactive')
set(handles.Konvergenz, 'String','')
set(handles.Zeit, 'String','')
set(handles.itersteps, 'String','')



function Command2all(hObject, eventdata, handles,commandstr,writestring)
str1='set(handles.';
str2=strcat(',',char(39),commandstr,char(39),',',char(39),writestring,char(39),')');
kni=[1,2,3,1,2;2,3,4,3,4];
for i=1:5
eval(strcat(str1, 'U',num2str(i),str2))    
eval(strcat(str1, 'A',num2str(i),str2))
eval(strcat(str1, 'P',num2str(i),str2))
eval(strcat(str1, 'Q',num2str(i),str2))

eval(strcat(str1, 'P',num2str(kni(1,i)),num2str(kni(2,i)),str2))
eval(strcat(str1, 'P',num2str(kni(2,i)),num2str(kni(1,i)),str2))
eval(strcat(str1, 'Q',num2str(kni(1,i)),num2str(kni(2,i)),str2))
eval(strcat(str1, 'Q',num2str(kni(2,i)),num2str(kni(1,i)),str2))

eval(strcat(str1, 'U',num2str(i),'s',str2))    
eval(strcat(str1, 'A',num2str(i),'s',str2))
eval(strcat(str1, 'P',num2str(i),'s',str2))
eval(strcat(str1, 'Q',num2str(i),'s',str2))

eval(strcat(str1, 'P',num2str(kni(1,i)),num2str(kni(2,i)),'s',str2))
eval(strcat(str1, 'P',num2str(kni(2,i)),num2str(kni(1,i)),'s',str2))
eval(strcat(str1, 'Q',num2str(kni(1,i)),num2str(kni(2,i)),'s',str2))
eval(strcat(str1, 'Q',num2str(kni(2,i)),num2str(kni(1,i)),'s',str2))
end

kni=[4,5;5,2];
for i=1:2

eval(strcat(str1, 'PT',num2str(kni(1,i)),num2str(kni(2,i)),str2))
eval(strcat(str1, 'PT',num2str(kni(2,i)),num2str(kni(1,i)),str2))
eval(strcat(str1, 'QT',num2str(kni(1,i)),num2str(kni(2,i)),str2))
eval(strcat(str1, 'QT',num2str(kni(2,i)),num2str(kni(1,i)),str2))

eval(strcat(str1, 'PT',num2str(kni(1,i)),num2str(kni(2,i)),'s',str2))
eval(strcat(str1, 'PT',num2str(kni(2,i)),num2str(kni(1,i)),'s',str2))
eval(strcat(str1, 'QT',num2str(kni(1,i)),num2str(kni(2,i)),'s',str2))
eval(strcat(str1, 'QT',num2str(kni(2,i)),num2str(kni(1,i)),'s',str2))
end

eval(strcat(str1, 'Konvergenz',str2))
eval(strcat(str1, 'Zeit',str2))
eval(strcat(str1, 'itersteps',str2))




function Command2CElems(hObject, eventdata, handles,commandstr,writestring)
str1='set(handles.';
str2=strcat(',',char(39),commandstr,char(39),',',char(39),writestring,char(39),')');

eval(strcat(str1, 'epsilon',str2))
eval(strcat(str1, 'IterMax',str2))
eval(strcat(str1, 'ErrButton',str2))
eval(strcat(str1, 'ImEdit',str2))
eval(strcat(str1, 'PrintButton',str2))
eval(strcat(str1, 'NurSij',str2))
eval(strcat(str1, 'NurPQ',str2))
eval(strcat(str1, 'PUPQ',str2))
eval(strcat(str1, 'VollLFB',str2))
eval(strcat(str1, 'IEEE_Netz',str2))
eval(strcat(str1, 'PRNetz',str2))



% --- Executes on button press in NurSij.
function NurSij_Callback(hObject, eventdata, handles)
% hObject    handle to NurSij (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of NurSij
if(get(handles.NurSij, 'Value')==get(hObject,'Min'))
    set(handles.NurSij, 'Value',1)
end
set(handles.IEEE_Netz, 'Enable','off')
if(get(handles.IEEE_Netz, 'Value')==get(hObject,'Max'))
set(handles.IEEE_Netz, 'Value',0)
set(handles.PRNetz, 'Value',1)
Command2all(hObject, eventdata, handles,'String','')
Command2all(hObject, eventdata, handles,'Enable','inactive')
end
set(handles.epsilon, 'Enable','off')
set(handles.IterMax, 'Enable','off')
set(handles.ImEdit, 'Enable','off')
set(handles.Konvergenz, 'Enable','off')
set(handles.Zeit, 'Enable','off')
set(handles.ErrButton, 'Enable','off')
set(handles.PrintButton, 'Enable','off')
set(handles.itersteps, 'Enable','off')


% --- Executes on button press in NurPQ.
function NurPQ_Callback(hObject, eventdata, handles)
% hObject    handle to NurPQ (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of NurPQ
set(handles.IEEE_Netz, 'Enable','on')
set(handles.epsilon, 'Enable','on')
set(handles.IterMax, 'Enable','on')
if(get(handles.NurPQ, 'Value')==get(hObject,'Min'))
    set(handles.NurPQ, 'Value',1)
end

% --- Executes on button press in PUPQ.
function PUPQ_Callback(hObject, eventdata, handles)
% hObject    handle to PUPQ (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of PUPQ
set(handles.IEEE_Netz, 'Enable','on')
set(handles.epsilon, 'Enable','on')
set(handles.IterMax, 'Enable','on')
if(get(handles.PUPQ, 'Value')==get(hObject,'Min'))
    set(handles.PUPQ, 'Value',1)
end

% --- Executes on button press in VollLFB.
function VollLFB_Callback(hObject, eventdata, handles)
% hObject    handle to VollLFB (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hint: get(hObject,'Value') returns toggle state of VollLFB
set(handles.IEEE_Netz, 'Enable','on')
set(handles.epsilon, 'Enable','on')
set(handles.IterMax, 'Enable','on')
if(get(handles.VollLFB, 'Value')==get(hObject,'Min'))
    set(handles.VollLFB, 'Value',1)
end

% --- Executes during object creation, after setting all properties.
function figure1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to figure1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called


